package com.jasamedika.medifirst2000.vo;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import com.jasamedika.medifirst2000.base.BaseTransaction;
import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;
import com.jasamedika.medifirst2000.helper.Caption;

public class PapInstruksiPulangVO extends BaseTransactionVO{
	@ManyToOne
	@JoinColumn(name = "ObjectRegistrasiPelayananPasienFk")
	//@NotNull(message = "RegistrasiPelayananPasien tidak boleh kosong")
	private RegistrasiPelayananPasienVO registrasiPelayananPasien;	

	@ManyToOne
	@JoinColumn(name = "ObjectPasienFk")
	@NotNull(message = "Pasien tidak boleh kosong")
	private PasienVO pasien;	
	
	@NotNull(message = "Tgl Input tidak boleh kosong")
	@Column(name = "tglInput", nullable = false)
	@Caption(value = "Tgl Input")
	private Date tglInput;

	@Column(name = "tglKeluar", nullable = true)
	@Caption(value="Tgl Keluar")
	private Date tglKeluar;
	
	@ManyToOne
	@JoinColumn(name = "ObjectKondisiPasienFk")
	@Caption(value="Object Kondisi Pasien")
	private KondisiPasienVO kondisiPasien;
	
	@ManyToOne
	@JoinColumn(name = "ObjectStatusKeluarFk")
	@Caption(value="Object Status Keluar")
	private StatusKeluarVO statusKeluar;
	
	@ManyToOne
	@JoinColumn(name = "ObjectStatusPulangFk")
	@Caption(value="Object Status Pulang")
	private StatusPulangVO statusPulang;
	
	@ManyToOne
	@JoinColumn(name = "ObjectHubunganKeluargaFk")
	@Caption(value="Object Hubungan Keluarga")
	private HubunganKeluargaVO hubunganKeluarga;
		
	@Column(name = "namaPembawaPulang", nullable = true)
	@Caption(value="Nama Pembawa Pulang")
	private String namaPembawaPulang;

	public RegistrasiPelayananPasienVO getRegistrasiPelayananPasien() {
		return registrasiPelayananPasien;
	}

	public void setRegistrasiPelayananPasien(RegistrasiPelayananPasienVO registrasiPelayananPasien) {
		this.registrasiPelayananPasien = registrasiPelayananPasien;
	}

	public PasienVO getPasien() {
		return pasien;
	}

	public void setPasien(PasienVO pasien) {
		this.pasien = pasien;
	}

	public Date getTglInput() {
		return tglInput;
	}

	public void setTglInput(Date tglInput) {
		this.tglInput = tglInput;
	}

	public Date getTglKeluar() {
		return tglKeluar;
	}

	public void setTglKeluar(Date tglKeluar) {
		this.tglKeluar = tglKeluar;
	}

	public KondisiPasienVO getKondisiPasien() {
		return kondisiPasien;
	}

	public void setKondisiPasien(KondisiPasienVO kondisiPasien) {
		this.kondisiPasien = kondisiPasien;
	}

	public StatusKeluarVO getStatusKeluar() {
		return statusKeluar;
	}

	public void setStatusKeluar(StatusKeluarVO statusKeluar) {
		this.statusKeluar = statusKeluar;
	}

	public StatusPulangVO getStatusPulang() {
		return statusPulang;
	}

	public void setStatusPulang(StatusPulangVO statusPulang) {
		this.statusPulang = statusPulang;
	}

	public HubunganKeluargaVO getHubunganKeluarga() {
		return hubunganKeluarga;
	}

	public void setHubunganKeluarga(HubunganKeluargaVO hubunganKeluarga) {
		this.hubunganKeluarga = hubunganKeluarga;
	}

	public String getNamaPembawaPulang() {
		return namaPembawaPulang;
	}

	public void setNamaPembawaPulang(String namaPembawaPulang) {
		this.namaPembawaPulang = namaPembawaPulang;
	}
	
}
